Bug 786833 - lorax should run with C locales
lorax should run with C locales
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 09:23 EST by Daniel Mach
Modified: 2013-07-04 09:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-18.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-24 09:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2012-02-02 09:23:33 EST
If lorax is started with different than C locales, it can fail with errors like:

  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 387, in installpkg
    logger.warn("installpkg %s failed: %s",p,str(e))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 26: ordinal not in range(128)


I suggest to switch lorax to C locales to fix that.

Note You need to log in before you can comment on or make changes to this bug.